#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 3

Name:           kmarkdownwebview
Version:        0.5.6
Release:        %mkrel %{rel}
Summary:        KPart for rendering Markdown content
Group:          Graphical desktop/KDE
License:        LGPLv2+
URL:            https://www.kde.org
Source0:        https://download.kde.org/stable/kmarkdownwebview/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:  kf5-macros
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5Parts)
BuildRequires:  cmake(KF5KIO)

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5PrintSupport)
BuildRequires:  pkgconfig(Qt5Qml)
BuildRequires:  pkgconfig(Qt5WebEngineWidgets)
BuildRequires:  pkgconfig(Qt5Widgets)

%description
This package allows KDE applications which use it to obtain a
live preview of HTML-rendered Markdown content.

%files -f %{name}.lang
%doc README.md
%{_kf5_metainfodir}/org.kde.kmarkdownwebviewpart.metainfo.xml
%{_kf5_services}/kmarkdownwebviewpart.desktop
%{_kf5_libdir}/libKMarkdownWebView.so
%{_kf5_plugindir}/parts/kmarkdownwebviewpart.so

#------------------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kf5
%cmake_build

%install
%cmake_install

%find_lang %{name}


%changelog
* Wed Apr 06 2022 umeabot <umeabot> 0.5.6-3.mga9
+ Revision: 1846088
- Mageia 9 Mass Rebuild

* Thu Dec 17 2020 umeabot <umeabot> 0.5.6-2.mga8
+ Revision: 1658766
- Rebuild for new Qt5

* Thu Sep 24 2020 daviddavid <daviddavid> 0.5.6-1.mga8
+ Revision: 1629674
- new version: 0.5.6

* Thu May 28 2020 daviddavid <daviddavid> 0.5.5-4.mga8
+ Revision: 1588484
- switch appdata file to kf5_metainfo dir

* Sat Feb 15 2020 umeabot <umeabot> 0.5.5-3.mga8
+ Revision: 1524677
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Sat Mar 30 2019 umeabot <umeabot> 0.5.5-2.mga7
+ Revision: 1382633
- Qt5 Rebuild

* Tue Feb 19 2019 daviddavid <daviddavid> 0.5.5-1.mga7
+ Revision: 1368357
- new version: 0.5.5

* Thu Jan 10 2019 daviddavid <daviddavid> 0.5.4-1.mga7
+ Revision: 1354463
- new version: 0.5.4

* Sun Sep 23 2018 umeabot <umeabot> 0.5.3-2.mga7
+ Revision: 1298584
- Mageia 7 Mass Rebuild

* Sat Jun 16 2018 daviddavid <daviddavid> 0.5.3-1.mga7
+ Revision: 1237268
- initial package kmarkdownwebview

